## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 18;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit      fb9a41fe9bc230a07c4506cad3cbf21d3fa635b4
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20220807

%global corename    bsnes-mercury

Name:           libretro-%{corename}
Version:        0
Release:        0.12.%{date}git%{shortcommit}.%autorelease
Summary:        Fork of bsnes with various performance improvements

License:        GPLv3+
URL:            https://github.com/libretro/bsnes-mercury
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz
Source1:        https://raw.githubusercontent.com/flathub/org.gnome.Games/master/libretro-cores/bsnes_mercury_balanced.libretro

BuildRequires:  gcc-c++
BuildRequires:  make

Suggests:       gnome-games
Suggests:       retroarch

%description
bsnes-mercury is a fork of higan, aiming to restore some useful features that
have been removed, as well as improving performance a bit. Maximum accuracy is
still uncompromisable; anything that affects accuracy is optional and off by
default.


%prep
%autosetup -n %{corename}-%{commit}


%build
%set_build_flags
%make_build \
    core_installdir=%{_libdir}/libretro \
    DEBUG=1


%install
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_libdir}/libretro/%{corename}_performance.libretro
sed -i 's!Balanced!performance!' %{buildroot}%{_libdir}/libretro/%{corename}_performance.libretro
sed -i 's!balanced!performance!' %{buildroot}%{_libdir}/libretro/%{corename}_performance.libretro

install -D -p -m 0755 bsnes_mercury_performance_libretro.so -t %{buildroot}%{_libdir}/libretro


%files
%license LICENSE
%doc README.md
%{_libdir}/libretro/


%changelog
* Wed Sep 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0-18
- build: DEBUG=1

* Wed Sep 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0-17
- build: Update to latest git snapshot

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Oct 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0-14
- build: Profile=balanced

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.20190817git4a38262
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Feb 10 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.11.20190817git4a38262
- build(fix previous commit): Downgrade to '20190817git4a38262' due upstream
  failure and wait for proper fix

* Thu Feb 10 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.10.20201013gitd01138b
- rebuilt

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.20210318gitd232c6e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 05 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.8.20210318gitd232c6e
- chore(update): Latest git snapshot

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.20190817git4a38262
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.20190817git4a38262
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.20190817git4a38262
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.20190817git4a38262
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 04 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.3.20190817git4a38262
- Remove 'libretro-gtk-0_14-0' dependency

* Tue Oct 08 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.2.20190817git4a38262
- Initial package

